Error arrayQualityMetrics
2
0
Entering edit mode
Sara • 0
@e57298ec
Last seen 6 weeks ago
Germany

I cannot require arrayQualityMetrics although I've downloaded it. What should I do?

library("arrayQualityMetrics")
# Error: package or namespace load failed for ‘arrayQualityMetrics’:
#.onLoad failed in loadNamespace() for 'httr', details:
# call: options()
#error: Value of SET_STRING_ELT() must be a 'CHARSXP' not a 'NULL'

sessionInfo( )
#R version 4.1.1 (2021-08-10)
#Platform: x86_64-w64-mingw32/x64 (64-bit)
#Running under: Windows 10 x64 (build 19042)

#Matrix products: default

#locale:
#[1] LC_COLLATE=Spanish_Spain.1252  LC_CTYPE=Spanish_Spain.1252    LC_MONETARY=Spanish_Spain.1252
#[4] LC_NUMERIC=C                   LC_TIME=C                     

#attached base packages:
#[1] stats4    parallel  stats     graphics  grDevices utils     datasets  methods   base     

#other attached packages:
 #[1] pd.mogene.2.1.st_3.14.1 DBI_1.1.1               RSQLite_2.2.8           oligo_1.56.0           
 #[5] Biostrings_2.60.2       GenomeInfoDb_1.28.4     XVector_0.32.0          IRanges_2.26.0         
 #[9] S4Vectors_0.30.2        Biobase_2.52.0          oligoClasses_1.54.0     BiocGenerics_0.38.0    
#[13] knitr_1.36              readxl_1.3.1           

#loaded via a namespace (and not attached):
 #[1] MatrixGenerics_1.4.3        bit64_4.0.5                 splines_4.1.1               foreach_1.5.1              
 #[5] BiocManager_1.30.16         affy_1.70.0                 highr_0.9                   blob_1.2.2                 
 #[9] GenomeInfoDbData_1.2.6      cellranger_1.1.0            yaml_2.2.1                  gcrma_2.64.0               
#[13] pillar_1.6.4                lattice_0.20-44             digest_0.6.28               GenomicRanges_1.44.0       
#[17] htmltools_0.5.2             preprocessCore_1.54.0       Matrix_1.3-4                pkgconfig_2.0.3            
#[21] affxparser_1.64.1           zlibbioc_1.38.0             xtable_1.8-4                svglite_2.0.0              
#[25] affyio_1.62.0               ff_4.0.4                    tibble_3.1.5                ellipsis_0.3.2             
#[29] cachem_1.0.6                SummarizedExperiment_1.22.0 cli_3.0.1                   magrittr_2.0.1             
#[33] crayon_1.4.1                memoise_2.0.0               evaluate_0.14               fansi_0.5.0                
#[37] tools_4.1.1                 lifecycle_1.0.1             matrixStats_0.61.0          affyPLM_1.68.0             
#[41] DelayedArray_0.18.0         compiler_4.1.1              systemfonts_1.0.3           rlang_0.4.11               
#[45] grid_4.1.1                  RCurl_1.98-1.5              iterators_1.0.13            bitops_1.0-7               
#[49] rmarkdown_2.11              codetools_0.2-18            R6_2.5.1                    fastmap_1.1.0              
#[53] bit_4.0.4                   utf8_1.2.2                  Rcpp_1.0.7                  vctrs_0.3.8                
#[57] xfun_0.26

When installing it I get

BiocManager::install("arrayQualityMetrics")
#'getOption("repos")' replaces Bioconductor standard repositories, see '?repositories' for details

#replacement repositories:
#   CRAN: https://cran.rstudio.com/

#Bioconductor version 3.13 (BiocManager 1.30.16), R 4.1.1 (2021-08-10)
#Installation paths not writeable, unable to update packages
#   path: C:/Program Files/R/R-4.1.1/library
#  packages:
#    lattice, mgcv, nlme, survival
#Old packages: 'rlang', 'xfun'
#Update all/some/none? [a/s/n]: 
a

#  There are binary versions available but the source versions are later:
#      binary source needs_compilation
#rlang 0.4.11 0.4.12              TRUE
#xfun    0.26   0.27              TRUE

#trying URL 'https://cran.rstudio.com/bin/windows/contrib/4.1/rlang_0.4.11.zip'
#Content type 'application/zip' length 1201275 bytes (1.1 MB)
#downloaded 1.1 MB

#trying URL 'https://cran.rstudio.com/bin/windows/contrib/4.1/xfun_0.26.zip'
#Content type 'application/zip' length 358998 bytes (350 KB)
#downloaded 350 KB

#package ‘rlang’ successfully unpacked and MD5 sums checked
#Warning: cannot remove prior installation of package ‘rlang’
#Warning: restored ‘rlang’
#package ‘xfun’ successfully unpacked and MD5 sums checked
#Warning: cannot remove prior installation of package ‘xfun’
#Warning: restored ‘xfun’

#The downloaded binary packages are in
#   C:\Users\Usuario\AppData\Local\Temp\RtmpM50TZw\downloaded_packages
#Warning messages:
#1: package(s) not installed when version(s) same as current; use `force = TRUE` to re-install: 'arrayQualityMetrics' 
#2: In file.copy(savedcopy, lib, recursive = TRUE) :
#  problem copying C:\Users\Usuario\Documents\R\win-library\4.1\00LOCK\rlang\libs\x64\rlang.dll to C:\Users\Usuario\Documents\R\win-#library\4.1\rlang\libs\x64\rlang.dll: Permission denied
#3: In file.copy(savedcopy, lib, recursive = TRUE) :
#  problem copying C:\Users\Usuario\Documents\R\win-library\4.1\00LOCK\xfun\libs\x64\xfun.dll to C:\Users\Usuario\Documents\R\win-#library\4.1\xfun\libs\x64\xfun.dll: Permission denied
arrayQualityMetrics • 301 views
ADD COMMENT
1
Entering edit mode
Sara ▴ 10
@441e832e
Last seen 6 weeks ago
Germany

It worked! Thank you!

ADD COMMENT
0
Entering edit mode

Great, glad you got it sorted.

ADD REPLY
0
Entering edit mode
Mike Smith ★ 5.2k
@mike-smith
Last seen 49 minutes ago
EMBL Heidelberg / de.NBI

I think the most critical looking problem is shown by the part that says:

# Error: package or namespace load failed for ‘arrayQualityMetrics’:
#.onLoad failed in loadNamespace() for 'httr', details:
# call: options()
#error: Value of SET_STRING_ELT() must be a 'CHARSXP' not a 'NULL'

This suggests to me that there's something wrong with the httr package, which is in turn preventing you loading arrayQualityMetrics.

The first thing I would try is to make sure I've got a working copy of httr by installing the package again using install.packages("httr").

Then restart R and try library("arrayQualityMetrics") again.

ADD COMMENT

Login before adding your answer.

Traffic: 310 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6